package tda548;

import java.util.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Main extends JFrame {

    public Main() {
        Calc calc = new Calc();
        JPanel main = new JPanel(new BorderLayout());
        JLabel display = new JLabel(" 0 ",SwingConstants.RIGHT);
        display.setFont(new Font(display.getFont().getName(),
                                 display.getFont().getStyle(),
                                 40));
        JPanel buttonPanel = new JPanel(new GridLayout(4,4));
        String[] strs = { "7", "8", "9", "+",
                          "4", "5", "6", "-",
                          "1", "2", "3", "*",
                          "0", "C", "=", "/" };
        JButton[] buttons = new JButton[strs.length];
        for (int i=0;i<buttons.length;i++) {
            String name = strs[i];
            JButton b = new JButton(name);
            b.setPreferredSize(new Dimension(60,50));
            buttonPanel.add(b);
            buttons[i] = b;
        }
        JPanel displayPanel = new JPanel(new BorderLayout());
        displayPanel.setBackground(Color.WHITE);
        displayPanel.add(display,BorderLayout.CENTER);
        main.add(displayPanel,BorderLayout.NORTH);
        main.add(buttonPanel,BorderLayout.CENTER);
        add(main); pack();
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setLocation(50,50);

        // add a listener to each button
        for (int i=0;i<buttons.length;i++) {
            String name = strs[i];
            JButton b = buttons[i];
            b.addActionListener(e ->
              { calc.pressKey(name);
                display.setText(calc.getDisplayText() + " "); } );
        }

        setVisible(true);
    }

    public static void main(String[] args) {
        Main f = new Main();
    }
}
